/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "main.h"
#include "accelerometer.h"

CY_ISR_PROTO(Accelerometer_Interrupt);

uint8 accRequest = FALSE;

uint16 x = ACC_NO_MOVEMENT;
uint16 y = ACC_NO_MOVEMENT;
uint16 z = ACC_NO_MOVEMENT;
uint16 opx = ACC_NO_MOVEMENT;
uint16 opy = ACC_NO_MOVEMENT;
uint16 opz = ACC_NO_MOVEMENT;


int main(void)
{   /* Enable global interrupts. */
    CyGlobalIntEnable;
    CyDelay(10);
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    Initialize_Project();
    InitializeAccelerometer();
    for(;;)
    {
        if (accRequest == TRUE) {
            RED_Write(1);
            BLUE_Write(0);
            accRequest = FALSE;
            //Convert();
            //ReadAccelerometer(&x,&y,&z);
            //DisplayDataTrial();
        }
        UART_UartPutChar(0x00);
        RED_Write(0);
        BLUE_Write(1);
        CySysPmSleep();
        /* Place your application code here. */
    }
}

void Initialize_Project(void) {
    
    I2C_Start();
    UART_Start();
	isr_Accelerometer_Interrupt_StartEx(Accelerometer_Interrupt);
    CyDelay(700); //Delay for accelerometer to wake up
    
}

void Convert(void)
{
	/* Variables to store previous state between function calls. */
	static int16 prev_x_value = ZERO;
	static int16 prev_y_value = ZERO;
	static int16 prev_z_value = ZERO;	
	
	/* Variables to calculate the absolute acceleration difference. */
	int16 diffVal1 = ZERO;
	int16 diffVal2 = ZERO;
	uint16 positiveDiffVal = ZERO;
	
	/* Determine the acceleration difference and store the current 
	 * acceleration data in the static variable. */
	diffVal1 = x - prev_x_value;
	diffVal2 = prev_x_value - x;
	prev_x_value = x;
	
	/* Determine the absolute value. */
	if(diffVal1 > diffVal2)
	{
		positiveDiffVal = diffVal1;
	}
	else
	{
		positiveDiffVal = diffVal2;
	}
    opx=positiveDiffVal;
	
	/* Determine the acceleration difference and store the current 
	 * acceleration data in the static variable. */
	diffVal1 = y - prev_y_value;
	diffVal2 = prev_y_value - y;
	prev_y_value = y;
	
	/* Determine the absolute value. */
	if(diffVal1 > diffVal2)
	{
		positiveDiffVal = diffVal1;
	}
	else
	{
		positiveDiffVal = diffVal2;
	}
    opy=positiveDiffVal;
	
	/* Determine the acceleration difference and store the current 
	 * acceleration data in the static variable. */
	diffVal1 = z - prev_z_value;
	diffVal2 = prev_z_value - z;
	prev_z_value = z;
	
	/* Determine the absolute value. */
	if(diffVal1 > diffVal2)
	{
		positiveDiffVal = diffVal1;
	}
	else
	{
		positiveDiffVal = diffVal2;
	}
    opz=positiveDiffVal;
}

void DisplayDataTrial() {
    UART_UartPutChar(0xaa);
    UART_UartPutChar((opx & 0xff00) >> 8);
    UART_UartPutChar(opx);
    UART_UartPutChar((opy & 0xff00) >> 8);
    UART_UartPutChar(opy);
    UART_UartPutChar((opz & 0xff00) >> 8);
    UART_UartPutChar(opz);
    UART_UartPutChar(0xaa);
    return;
}

CY_ISR(Accelerometer_Interrupt) {
    UART_UartPutChar(0x01);
    accRequest = TRUE;
    Pin_Acc_Int_ClearInterrupt();
}

/* [] END OF FILE */
