/*****************************************************************************
* File Name: main.h
* Version 1.00
*
* Description:
*  This file contains the function prototypes and constants used in
*  main.c
*
******************************************************************************
* Copyright (2015), Cypress Semiconductor Corporation.
******************************************************************************
* This software is owned by Cypress Semiconductor Corporation (Cypress) and is
* protected by and subject to worldwide patent protection (United States and
* foreign), United States copyright laws and international treaty provisions.
* Cypress hereby grants to licensee a personal, non-exclusive, non-transferable
* license to copy, use, modify, create derivative works of, and compile the
* Cypress Source Code and derivative works for the sole purpose of creating
* custom software in support of licensee product to be used only in conjunction
* with a Cypress integrated circuit as specified in the applicable agreement.
* Any reproduction, modification, translation, compilation, or representation of
* this software except as specified above is prohibited without the express
* written permission of Cypress.
*
* Disclaimer: CYPRESS MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH
* REGARD TO THIS MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
* Cypress reserves the right to make changes without further notice to the
* materials described herein. Cypress does not assume any liability arising out
* of the application or use of any product or circuit described herein. Cypress
* does not authorize its products for use as critical components in life-support
* systems where a malfunction or failure may reasonably be expected to result in
* significant injury to the user. The inclusion of Cypress' product in a life-
* support systems application implies that the manufacturer assumes all risk of
* such use and in doing so indemnifies Cypress against all charges. Use may be
* limited by and subject to the applicable Cypress software license agreement.
*****************************************************************************/
#if !defined(MAIN_H) 
#define MAIN_H 

#include "project.h"

/*****************************************************************************
* MACRO Definition
*****************************************************************************/
#define TRUE						0x01
#define FALSE						0x00

#define ACC_THRESHOLD_VALUE			0x10
#define BRIGHTNESS_MULTIPLIER		0x05

#define	ON							9999
#define	LOW							200
#define	OFF							0	

#define NONE						0x00
#define X_AXIS						0x01
#define Y_AXIS						0x02
#define Z_AXIS						0x03

#define ACC_STARTUP_TIME			700
/*****************************************************************************
* Data Type Definition
*****************************************************************************/


/*****************************************************************************
* Enumerated Data Definition
*****************************************************************************/


/*****************************************************************************
* Data Structure Definition
*****************************************************************************/


/*****************************************************************************
* Global Variable Declaration
*****************************************************************************/


/*****************************************************************************
* Function Prototypes
*****************************************************************************/
void Initialize_Project(void);
void UpdateLEDColor(void);
void Convert();
void DisplayDataTrial();

/*****************************************************************************
* External Function Prototypes
*****************************************************************************/
	
	
#endif /* MAIN_H */

/* [] END OF FILE */
